#ifndef LOADBALANCER_H_
#define LOADBALANCER_H_

#ifdef __cplusplus
extern "C" {
#endif

void loadbalancer_init(void);
void loadbalancer_task(void *param);

// Compatibility functions
void setMaxGridCurrent(int max_grid_current);
void setLiveGridCurrent(int live_grid_current);
void setLiveVolt(int live_volt);

#ifdef __cplusplus
}
#endif

#endif /* LOADBALANCER_H_ */
